Start Live Activities on user devices.
curl --request POST \
--url https://api.clix.so/api/v1/live-activities:start \
--header 'Content-Type: application/json' \
--header 'X-Clix-API-Key: <api-key>' \
--header 'X-Clix-Project-ID: <api-key>' \
--data '
{
"live_activities": [
{
"target": {
"project_user_id": "<string>"
},
"attributes_type": "<string>",
"attributes": {},
"content_state": {}
}
]
}
'import requests
url = "https://api.clix.so/api/v1/live-activities:start"
payload = { "live_activities": [
{
"target": { "project_user_id": "<string>" },
"attributes_type": "<string>",
"attributes": {},
"content_state": {}
}
] }
headers = {
"X-Clix-Project-ID": "<api-key>",
"X-Clix-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Clix-Project-ID': '<api-key>',
'X-Clix-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
live_activities: [
{
target: {project_user_id: '<string>'},
attributes_type: '<string>',
attributes: {},
content_state: {}
}
]
})
};
fetch('https://api.clix.so/api/v1/live-activities:start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"delivery_results": [
{
"message_id": "<string>",
"additional_params": {
"device_id": "<string>",
"fcm_message_id": "<string>",
"failure_reason": "<string>"
}
}
]
}"Invalid live activity parameters"Live Activities
Start Live Activities
This endpoint starts iOS Live Activities on one or more user devices using Push to Start.
POST
/
api
/
v1
/
live-activities:start
Start Live Activities on user devices.
Error Responses
400 Bad Request
Returned when the request contains invalid live activity parameters. Returns a plain text error message:Invalid live activity parameters
401 Unauthorized
Authentication failed or invalid API key.Authorizations
Project ID for authentication
API Key for authentication
Body
application/json
Request body containing the live activities to start.
Request schema for starting live activities.
List of live activities to start.
Show child attributes
Show child attributes
Response
A successful response containing the delivery results for each live activity.
Response schema containing the delivery results for each live activity.
List of delivery results for each live activity.
Show child attributes
Show child attributes
Was this page helpful?
⌘I